Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 36723 - [XP] Property sheet doesn't hightlight node titles
[XP] Property sheet doesn't hightlight node titles
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
3.x
PC Windows XP
: P4 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
:
Depends on: 31896
Blocks: 36026
  Show dependency treegraph
 
Reported: 2003-10-21 16:28 UTC by Milan Kubec
Modified: 2008-12-22 22:37 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (9.15 KB, image/png)
2003-10-21 16:29 UTC, Milan Kubec
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Kubec 2003-10-21 16:28:53 UTC
[winsys build 031020, JDK 1.4.2] Happens only on
Win XP with Win XP L&F. Property sheet is supposed
to highlight node titles and vertical bar by grey
background, but it doesn't work. See screenshot.
Comment 1 Milan Kubec 2003-10-21 16:29:41 UTC
Created attachment 11923 [details]
screenshot
Comment 2 Milan Kubec 2003-10-21 16:31:23 UTC
I forgot to mention that selected line with node is highlighted but
text becomes white which is not very readable.
Comment 3 Peter Zavadsky 2003-10-22 13:41:21 UTC
I don't know whether we affect this. Dafe?
Comment 4 David Simonek 2003-10-24 11:05:00 UTC
Yes, we affect this, namely Tim Boudreau :-) I created dependency on
existing issue 36026 and cc Tim.
Tim, could you look at it as you are most familiar with the code?
Please check visual spec at
http://ui.netbeans.org/docs/ui/ws/XP_style.html for desired look. Thanks!
 
Comment 5 _ tboudreau 2003-10-26 16:34:42 UTC
Node titles and vertical bar?

I do not understand what I'm supposed to do here.  What node titles?
What vertical bar?
Comment 6 Milan Kubec 2003-10-29 08:28:37 UTC
Please, see screenshot and visual spec.
Comment 7 David Simonek 2003-10-29 10:07:05 UTC
OK guys, it looks like you need a translator, so I'll try :-)
Tim, pls do following:
- change PropertySheet non-white background color to match XP visual
spec (darker gray)
- change color of table lines of property sheet to exactly match XP
visual spec
- visibility of the name of selected property or property group is
poor; correct it, ask Dusan for exact look of selected item.

Thanks!
Comment 8 _ tboudreau 2003-11-12 13:52:22 UTC
I need a visual spec for the following things:
 - Color of selected property set
 - Color of unselected property set
 - Color of selected property
 - Color of unselected property

Not all of these are specified in 
http://ui.netbeans.org/docs/ui/ws/XP_style.html

Dusan?
Comment 9 dpavlica 2003-11-12 16:16:46 UTC
Ok, I will add these colors into XP L&F spec.
Comment 10 David Simonek 2003-11-13 13:53:13 UTC
Passign to Tim, he actually works on this issue.
Comment 11 _ tboudreau 2003-11-20 16:41:15 UTC
Adding to property panel rewrite umbrella issue, since it's fixed
there - mostly.

Dusan, I still need specific colors for
 - Selected set
 - Selected set foreground
 - Selected property
 - Selected property foreground
 - left hand margin

for each of the supported look and feels.

Where possible, please specify these as either defaults (such as
Table.selectionForeground) for these look and feels, or specify the
relationship between the a default and +/- r,g,b.
Comment 12 _ tboudreau 2003-12-09 09:36:58 UTC
Property panel rewrite branch merged.
Comment 13 Milan Kubec 2004-01-05 15:08:13 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo